View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001003Ecere SDKide:debuggerpublic2013-09-18 16:192013-09-28 23:57
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001003: multiple issues related to file path handling and breakpoints; toggling, showing icons, multiple bp unwanted continuation
Description
 - insert breakpoint in file outside of project dir is broken
     ex: SSLSocket.ec from ../extras in ecere.epj
 - insert breakpoint in generated file (ec->c, epj->main.ec) is broken

 - when "Provide source files location directory for" file dialog is cancelled silly message box is showed.

 - path/file.ext type breakpoints will be invisible when loaded from workspace
the icons do not show in the code editor even though the breakpoints clearly work
     this also happens with path separator miss match

 - when doing a step into on lines with multiple symbols, debugger will hit second breakpoint (of the multiple breakpoints) and then continue and get mixed up
  ex: after hitting bp at ecc.ec:457, step into will break in InternalModuleBreakpoint
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001079)
redj (administrator)
2013-09-26 16:25

https://github.com/redj/ecere-sdk/commit/e0d835db3688463b08c92e945367ad2b285abfa8 [^]

- Issue History
Date Modified Username Field Change
2013-09-18 16:19 redj New Issue
2013-09-18 16:19 redj Status new => assigned
2013-09-18 16:19 redj Assigned To => redj
2013-09-18 16:34 redj Status assigned => resolved
2013-09-18 16:34 redj Fixed in Version => 0.44.10 64
2013-09-18 16:34 redj Resolution open => fixed
2013-09-18 16:34 redj Note Added: 0001072
2013-09-26 16:09 redj Status resolved => assigned
2013-09-26 16:09 redj Fixed in Version 0.44.10 64 =>
2013-09-26 16:09 redj Summary path/file.ext type breakpoints will be invisible when loaded from workspace => multiple issues related to file path handling and breakpoints; toggling, showing icons, multiple bp unwanted continuation
2013-09-26 16:09 redj Description Updated
2013-09-26 16:25 redj Note Deleted: 0001072
2013-09-26 16:25 redj Note Added: 0001079
2013-09-27 17:45 redj Status assigned => resolved
2013-09-27 17:45 redj Fixed in Version => 0.44.10 64
2013-09-28 23:57 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker